function lockWindow(e) {
	//阻止视窗滚动
    e = e || window.event;
    if (e.stopPropagation) e.stopPropagation();
    else e.cancelBubble = true;
    if (e.preventDefault) e.preventDefault();
    else e.returnValue = false;
}

$(function(){
	//在光标位置插入表情插件
    $.fn.insertContent = function(myValue, t) {
		var $t = $(this)[0];
		if (document.selection) {
			this.focus();
			var sel = document.selection.createRange();
			sel.text = myValue;
			this.focus();
			sel.moveStart('character', -l);
			var wee = sel.text.length;
			if (arguments.length == 2) {
				var l = $t.value.length;
				sel.moveEnd("character", wee + t);
				t <= 0 ? sel.moveStart("character", wee - 2 * t - myValue.length) : sel.moveStart("character", wee - t - myValue.length);
 
				sel.select();
			}
		} else if ($t.selectionStart || $t.selectionStart == '0') {
			var startPos = $t.selectionStart;
			var endPos = $t.selectionEnd;
			var scrollTop = $t.scrollTop;
			$t.value = $t.value.substring(0, startPos) + myValue + $t.value.substring(endPos, $t.value.length);
			this.focus();
			$t.selectionStart = startPos + myValue.length;
			$t.selectionEnd = startPos + myValue.length;
			$t.scrollTop = scrollTop;
			if (arguments.length == 2) {
				$t.setSelectionRange(startPos - t, $t.selectionEnd + t);
				this.focus();
			}
		}
		else {
			this.value += myValue;
			this.focus();
		}
    };
	
	//ios粘贴事件字数限制，实时监听输入框值变化
	$('#add_comment').bind('input propertychange', function() {
		checkWord(document.getElementById("add_comment"));
	});

	//切换表情
	function tab(nav,content,on,type)
	{
		$(nav).children().bind(type,(function(){
			var tab=$(this);
			var tab_index=tab.prevAll().length;//$(this)以前的所有，取索引值
			$(nav).children().removeClass(on);
			tab.addClass(on);
			$(content).children().hide();
			$(content).children().eq(tab_index).show();
		}));
	}
	tab("#mood_tab","#mood_con","mood_cur","click");

	//评论表情显示，点击层以外的地方隐藏层
	$("#mood_toggle").click(function(){
		if ($(".mood").is(":hidden")) {
			$(".mood").show();
			$('body').one('click', function() {
				$(".mood").hide();
            })
			return false;
		}
	})
	$(".mood").click(function() {//点击层内部分不隐藏
		return false;
	})

	//评论框回复获得失去焦点
	$("#add_comment").focus(function(){
		if($(this).val().indexOf("回复")>=0){
			$("#add_comment").html("");
			$("#add_comment").val("");
		}
	})
	$("#add_comment").blur(function(){
		if($(this).html()=="" && $(this).val()==""){
			$("#add_comment").html("回复"+$("#reply_name").val()+"：");
			$("#add_comment").val("回复"+$("#reply_name").val()+"：");
		}
	})

	//点击用户名回复（点自己删除）
	$(document).on("click",".reply",function(){
		//$(".fix_bottom").slideUp("slow");
		//$(".comment_input").slideDown("slow");

		comment_id = $(this).attr("ref");//被回复评论
		comment_uid = $(".floor"+comment_id).find(".comment_uid").val();//被回复用户
		if(comment_uid == uid){//当前用户点击自己的评论，确认后删除
			$(".fix_bottom").hide();
			$(".comment_input").hide();
			$("#sure_del_wra").show();
			$("#sure_del_mask").css("top",0+"px");
			$("#sure_del_mask").css("height",$(document.body).height());
			//$(".sure_del_con").css("top",$(window).scrollTop()+$(window).height()-60+"px");//出现在底部，60为确认层高度
			document.addEventListener('touchmove', lockWindow, false);//显示删除按钮时禁止滚动页面
		}else{//点击回复
			$("#add_comment").html("回复"+$(this).attr("name")+"：");
			$("#add_comment").val("回复"+$(this).attr("name")+"：");
			$("#reply_id").val(comment_id);
			$("#reply_name").val($(this).attr("name"));

			StageWebViewBridge.call('fnCalledFromJS', null, 'reply:id='+comment_id+'&name='+encodeURIComponent($(this).attr("name")));
		
			//点击回复后，点击其他地方取消评论，有冒泡事件
			/*$('body').one('click', function(event) {
				$("#add_comment").html("请输入评论内容");
				$("#add_comment").val("请输入评论内容");
				$("#reply_id").val(0);
				$("#reply_name").val("");
			})
			return false;*/
		}
	})

	//取消删除
	$("#del_cancel").click(function(){
		document.removeEventListener('touchmove', lockWindow, false);//解除页面滚动锁定
		$("#sure_del_wra").hide();
	})

})


//点击添加表情
function addface(s){
	$(".mood").hide();
	if($("#add_comment").val()=="请输入评论内容"){
		$("#add_comment").val("");
	}
	if($("#add_comment").val().indexOf("回复")>=0){
		$("#add_comment").val("");
	}
	$("#add_comment").insertContent(s);
	checkWord(document.getElementById("add_comment"));
}


//评论字数限制
var maxstrlen = 80;
function checkWord(c) {
	len = maxstrlen;
	var str = c.value;
	myLen = getStrleng(str);
	var wck = document.getElementById("wordCheck");
	if (myLen > len * 2) {
		c.value = str.substring(0, i + 1);
	}else{
		wck.innerHTML = Math.floor((len * 2 - myLen) / 2);
	}
}
function getStrleng(str){
	myLen = 0;
	i = 0;
	for (; (i < str.length) && (myLen <= maxstrlen * 2); i++) {
		if (str.charCodeAt(i) > 0 && str.charCodeAt(i) < 128)
			myLen++;
		else
			myLen += 2;
	}
	return myLen;
}


/*
*
滚动到底部加载评论AJAX
flag: 	get_comment最新推荐
		get_comment_pk活动pk
		get_comment_vote活动投票
item_id:栏目id
type_id:当flag为活动时，1为vote,2为pk
		当flag为推荐时，为文章类型
*
*/
function getComment (type_id,item_id,flag,url) {
	var num = $("#num").val();
	if($("#change").val()==0){
		$("#change").val(1);
		$.ajax({
			url:url,
			type:'GET',
			dataType: 'jsonp',
			jsonp: 'callback',
			async:false,
			data:"type_id="+type_id+"&item_id="+item_id+"&num="+num+"&flag="+flag,
			beforeSend : function(){//这里要写回车，在一行有问题，加载中提示loading信息
				$("#loading").show();
			},
			success : function(json)
			{
				$("#loading").hide();//加载完成后loading消失
				var commentItem	= "";
				for (var i = 0; i < json.length; i++) {
					if(json[i].user_id == uid){
						operate = "删除";
					}else{
						operate = "回复";
					}
					commentItem	= '';
					commentItem	+= '<li class="floor' + json[i].id + '">';
					commentItem	+= '<div class="user_avatar fll"><img src="' + json[i].icon + '" width="108" height="108" /></div>'
					commentItem	+= '<div class="comment_info fll">';
					
					commentItem	+= '<p><span>' + json[i].user_name + '</span>'+json[i].floor +'楼</p>';
					commentItem	+= '<p><span class="' + json[i].getBabySex + '"><img src="images/' + json[i].getBabySex + '.jpg" />'+json[i].getBabyAge +'</span><a name="' + json[i].user_name + '" href="javascript:void(0)" class="reply" ref="' + json[i].id + '">...'+operate+'</a></p>';
					commentItem	+= '<div class="comment_con">' + json[i].content + '</div>';
					commentItem	+= json[i].ori_content;
					commentItem	+= '</div>';
					
					commentItem	+= '<input type="hidden" class="comment_uid" value="' + json[i].user_id + '" />';
					commentItem	+= '<div class="fix"></div>';
					commentItem	+= '</li>';

					$('.comment ul').append(commentItem);
				};
				if(json.length==0){
					$("#change").val(1);
					return false;
				}
				num++;
				$("#num").val(num);
				$("#change").val(0);
			}
		})
	}else{
		return false;
	}
}


/*
*
登录用户添加评论AJAX
flag:	publish_comment最新推荐
		active_comment活动
item_id:栏目id
type_id:当flag为活动时，1为vote,2为pk
		当flag为推荐时，为文章类型
*
*/
//发布评论
function postComment(type_id,item_id,flag,url){
	$("#comment_btn").click(function(){
	
		add_con = $("#add_comment").val();
		if(add_con == "请输入评论内容" || add_con.trim() == "" || add_con.indexOf("回复")>=0){
			alert("请输入评论内容");
			return false;
		}
		
		if($("#publish_change").val()==0){//点击发布之后，避免快速点击重复评论
			$("#publish_change").val(1);
			$.ajax({
			url:url,
			type:'GET',
			dataType: 'jsonp',
			jsonp: 'callback',
			async:false,
			data:"type_id="+type_id+
				 "&item_id="+item_id+
				 "&flag="+flag+
				 "&uid="+uid+
				 "&reply_id="+$("#reply_id").val()+
				 "&info_id="+$("#info_id").val()+
				 "&con="+$("#add_comment").val()+
				 "&notice_link="+window.location.href,
			beforeSend : function(){//这里要写回车，在一行有问题，加载中提示loading信息
				$("#loading_com").show();
				var divtop = ($(window).height()-$("#loading_com").height())/2+$(window).scrollTop();
				var divleft = (document.documentElement.clientWidth-document.getElementById("loading_com").offsetWidth)/2;
				$("#loading_com").css("top",divtop+"px");
				$("#loading_com").css("left",divleft+"px");
			},
			success:function(data){
				$("#loading_com").hide();//评论完成后loading消失
				if(data==0){
					//弹出字数超过限制提示框,2秒后消失
					var h = document.documentElement.clientHeight;
					$("#point_tips3").show();
					$('#point_tips3').delay(2000).hide(0);
					var divtop = ($(window).height()-$("#point_tips3").height())/2+$(window).scrollTop();
					var divleft = (document.documentElement.clientWidth-document.getElementById("point_tips3").offsetWidth)/2;
					$("#point_tips3").css("top",divtop+"px");
					$("#point_tips3").css("left",divleft+"px");
					return false;
				}
				$("#totals").html(data["totals"]);
				comment_push     ='';
				comment_push	+= '<li class="floor' + data["id"] + '">';
				comment_push	+= '<div class="user_avatar fll"><img src="' + data["icon"] + '" width="108" height="108" /></div>'
				comment_push	+= '<div class="comment_info fll">';
				
				comment_push	+= '<p><span>' + data["user_name"] + '</span>'+data["floor"] +'楼</p>';
				comment_push	+= '<p><span class="male"><img src="images/' + data["getBabySex"] + '.jpg" />' + data["getBabyAge"] + '</span><a href="javascript:void(0)" class="reply" name="'+data["user_name"]+'" ref="' + data["id"] + '">...删除</a></p>';
				comment_push	+= '<div class="comment_con">' + data["content"] + '</div>';
				comment_push	+= data["ori_content"];
				comment_push	+= '</div>';
				
				comment_push	+= '<input type="hidden" class="comment_uid" value="' + data["user_id"] + '" />';
				comment_push	+= '<div class="fix"></div>';
				comment_push	+= '</li>';
				$(".comment ul").prepend(comment_push);

				$("#add_comment").val('请输入评论内容');
				$("#add_comment").html('请输入评论内容');
				$("#reply_id").val(0);
				$("#wordCheck").html(80);
				$("#publish_change").val(0);
				}
			})
		}else{
			return false;
		}
		
	})
}

function postCommentEx(strComment, type_id, item_id, flag, url){	
		var add_con = strComment;
		if(add_con == "请输入评论内容" || add_con.trim() == "" || add_con.indexOf("回复")>=0){
			alert("请输入评论内容！");
			return false;
		}
		
		if($("#publish_change").val()==0){//点击发布之后，避免快速点击重复评论
			$("#publish_change").val(1);
			$.ajax({
			url:url,
			type:'GET',
			dataType: 'jsonp',
			jsonp: 'callback',
			async:false,
			data:"type_id="+type_id+
				 "&item_id="+item_id+
				 "&flag="+flag+
				 "&uid="+uid+
				 "&reply_id="+$("#reply_id").val()+
				 "&info_id="+$("#info_id").val()+
				 "&con="+strComment+
				 "&notice_link="+window.location.href,
			beforeSend : function(){//这里要写回车，在一行有问题，加载中提示loading信息
				$("#loading_com").show();
				var divtop = ($(window).height()-$("#loading_com").height())/2+$(window).scrollTop();
				var divleft = (document.documentElement.clientWidth-document.getElementById("loading_com").offsetWidth)/2;
				$("#loading_com").css("top",divtop+"px");
				$("#loading_com").css("left",divleft+"px");
			},
			success:function(data){
				$("#loading_com").hide();//评论完成后loading消失
				if(data==0){
					//弹出字数超过限制提示框,2秒后消失
					var h = document.documentElement.clientHeight;
					$("#point_tips3").show();
					$('#point_tips3').delay(2000).hide(0);
					var divtop = ($(window).height()-$("#point_tips3").height())/2+$(window).scrollTop();
					var divleft = (document.documentElement.clientWidth-document.getElementById("point_tips3").offsetWidth)/2;
					$("#point_tips3").css("top",divtop+"px");
					$("#point_tips3").css("left",divleft+"px");
					return false;
				}
				$("#totals").html(data["totals"]);
				comment_push     ='';
				comment_push	+= '<li class="floor' + data["id"] + '">';
				comment_push	+= '<div class="user_avatar fll"><img src="' + data["icon"] + '" width="108" height="108" /></div>'
				comment_push	+= '<div class="comment_info fll">';
				
				comment_push	+= '<p><span>' + data["user_name"] + '</span>'+data["floor"] +'楼</p>';
				comment_push	+= '<p><span class="male"><img src="images/' + data["getBabySex"] + '.jpg" />' + data["getBabyAge"] + '</span><a href="javascript:void(0)" class="reply" name="'+data["user_name"]+'" ref="' + data["id"] + '">...删除</a></p>';
				comment_push	+= '<div class="comment_con">' + data["content"] + '</div>';
				comment_push	+= data["ori_content"];
				comment_push	+= '</div>';
				
				comment_push	+= '<input type="hidden" class="comment_uid" value="' + data["user_id"] + '" />';
				comment_push	+= '<div class="fix"></div>';
				comment_push	+= '</li>';
				$(".comment ul").prepend(comment_push);

				$("#add_comment").val('请输入评论内容');
				$("#add_comment").html('请输入评论内容');
				$("#reply_id").val(0);
				$("#reply_name").val("");
				$("#wordCheck").html(80);
				$("#publish_change").val(0);
				}
			})
		}else{
			return false;
		}
}


/*
*
点击自己的评论时删除AJAX
flag:	del_comment最新推荐
		active_del_comment活动
goods_id:栏目id
*
*/
function delComment(goods_id,flag,url){
	$("#del_sure").bind('click',function(){//确认删除，必须要绑定
		$.ajax({
			url:url,
			type:'GET',
			dataType: 'jsonp',
			jsonp: 'callback',
			async:false,
			data:"goods_id="+goods_id+"&comment_id="+comment_id+"&flag="+flag+"&info_id="+$("#info_id").val(),
			success : function(json)
			{
				if(json){
					$("#sure_del_wra").hide();
					$(".floor"+comment_id).remove();
					$("#totals").html($("#totals").html()-1);
				}
				//$("#del_sure").unbind();//接触绑定
				document.removeEventListener('touchmove', lockWindow, false);//解除页面滚动锁定
				return false;
			}
		})
	})
}