var uploader

function uploader_init(){

	var settings={
		runtimes : 'gears,html5,flash,silverlight,browserplus',
		browse_button : 'pickfiles',//触发器
		container: 'uploader',
		max_file_size : '10mb',//最大尺寸
		url : upload_url,
		flash_swf_url : 'plupload.flash.swf',
		resize: { width: 571, quality: 90 },//压缩图片
		filters : [
			{title : "Image Files", extensions : "jpg,gif,png,tif,xps"}//图片类型
		]
	};

	uploader = new plupload.Uploader(settings);
	

	uploader.bind('BeforeUpload', function(up,file) {//当队列中的某一个文件正要开始上传前触发
		$("#upload_loading_wra").show();
		$("#upload_loading").show();
		
	})
	uploader.bind('QueueChanged', function(up,file) {//当上传队列发生变化后触发
		$("#upload_loading_wra").show();
		$("#upload_loading").show();
		uploader.start();//开始上传
		
	})


	uploader.bind('FilesAdded', function(up, files) {//选择图片时
		/* for(var i in files){
			html='<li class="tbody" id="'+files[i].id+'">\n';
			html+='<div class="loading"></div>\n';
			html+='<div class="data">\n';
			html+='<span class="del text-center"><a class="del">删除</a></span>\n';
			html+='<span class="size text-right">'+plupload.formatSize(files[i].size)+'</span>';
			html+='<span class="auto autocut">'+files[i].name+'</span>';
			html+='<img src='+files[i].name+' />';
			html+='</li>';
			html+='</div>\n';
		} */
		/* if($("#imgsrc1").attr("src") == "images/upload_btn.png"){//如果此处为空
			$("#imgsrc1").parent().append("<div class='upload_progress_wra'><div class='upload_progress'></div></div>");
		} */
	});
	
	uploader.bind('UploadProgress', function(up, file){//上传进程中，百分比，暂时没加
		//$("#"+file.id).find("a.del").hide();
		//$("#"+file.id).find('.loading').css("width",file.percent+"%");
		//$("#upload_progress").html('<span>'+ file.percent + "%</span>"); 
		if($("#imgsrc1").attr("src") == "images/upload_btn.png"){//如果此处为空
			$(".upload_progress").css("width",file.percent+"%");
		}
	});


	uploader.bind('FileUploaded', function(up,file,data){//上传成功
		var myObject = data.response;//得到图片路径
		//

		if($("#imgsrc1").attr("src") == "images/upload_btn.png"){//如果此处为空
			$("#imgsrc1").attr("src",myObject);//设置图片src
			$("#imgsrc1").attr("class","del");//添加class，点照片删除
			$("#imgsrc1").parent().append("<div class='del_upload'></div>");//追加层，删除图标
		}else if($("#imgsrc2").attr("src") == "images/upload_btn.png"){
			$("#imgsrc2").attr("src",myObject);
			$("#imgsrc2").attr("class","del");
			$("#imgsrc2").parent().append("<div class='del_upload'></div>");
		}else if($("#imgsrc3").attr("src") == "images/upload_btn.png"){
			$("#imgsrc3").attr("src",myObject);
			$("#imgsrc3").attr("class","del");
			$("#imgsrc3").parent().append("<div class='del_upload'></div>");
		}else if($("#imgsrc4").attr("src") == "images/upload_btn.png"){
			$("#imgsrc4").attr("src",myObject);
			$("#imgsrc4").attr("class","del");
			$("#imgsrc4").parent().append("<div class='del_upload'></div>");
			
		}else{
			alert("最多上传4张");
			return false;
		}
		myObject = myObject.substr(3);
		$('#file_list').append(myObject+"*");
		//alert(data.status);
		
	});
	
	uploader.bind('UploadComplete', function(up, files){
	/*  for(i in files){
		if($("#imgsrc"+i+"").attr("src") != "images/upload_btn.png"){
			alert("tvb");
		}
	}  */
		$("#upload_loading").delay(2000).hide(0);
		$("#upload_loading_wra").delay(2000).hide(0);
		
	});

	
	
	uploader.init();
}


$(document).on("click", ".del", function(){
	obj=$(this).attr("src");
	//del_file = obj.substr(obj.lastIndexOf("/")+1);
	obj2=obj+"*";//添加*用于传多张时分割字符串
	
	if(confirm("请确认是否删除?")){
		$(this).attr("src","images/upload_btn.png");//删除后还原默认图标
		$(this).next().remove();//删除图标icon层
		$(this).removeClass("del");//删除class，不能再点击
		$('#file_list').html($('#file_list').html().replace(obj2,""));//提交给ajax的字符串，去掉删除的图片src
		//删除上传的照片文件
		$.ajax({
			url :'ajax_content.php',
			type:'POST',
			dataType : 'json',
			data:{del_file:obj,flag:"del_upload_file"},
			success: function(json){
				if(json){
					alert("删除成功");
				}else{
					alert("删除失败");
				}
			}
		})
	}
});