
$(function(){

    var contentSwitch = false;//值为true时，表示由content引发的事件,不再影响content
    var navSwitch = false;//值为true时，表示由nav引发的事件，不再影响content
    var firstTime = 1;//去除页面刷新第一次时nav的slide滑动效果
    var urlPath = linkurl+"images/";
    var contentSwiper = new Swiper('.swiper-content', {
        //content切换实现与nav关联
        onSlideChangeStart: function(contentSwiper){
            
            if (!navSwitch) {
                $('.swiper-nav .nav-slide  .swiper-slide-active').removeClass('.swiper-slide-active');

                if(navSwiper.activeIndex>5){
                    var num = contentSwiper.activeIndex + 6;
                }else if(navSwiper.activeIndex>2 && navSwiper.activeIndex<=5){
                    var num = contentSwiper.activeIndex + 3;
                }else{
                    var num = contentSwiper.activeIndex;
                }
                var activeNav = $('.swiper-nav .swiper-slide').eq(num).addClass('swiper-slide-active'); 
                var activeId = activeNav.index();

                contentSwitch = true;
                //alert(activeId);
                if(activeId==0){activeId=3}
                if(activeId==8){activeId=5}
                navSwiper.slideTo(activeId);
                changepic(activeId);
            };
        },

        onSlideChangeEnd: function(contentSwiper){
            if (navSwitch) {
                navSwitch = false;
            };
        }            
    })

    var navSwiper = new Swiper('.swiper-nav', {
        slidesPerView:3,
        loop:true,
        loopedSlides:3,
        centeredSlides:true,
        onInit:function(navSwiper){
            $(navSwiper.slides[navSwiper.activeIndex]).find('.pic').get(0).src =urlPath+"18btn02.png";//初始化五星图片高亮
        },
        //点击nav实现居中、修改图片以及关联content
        onClick: function(navSwiper){
          
            var clickIndex = navSwiper.clickedIndex;
            //alert(clickIndex);
            var temp = clickIndex % 3;
            //contentSwiper.slideTo(temp);
            $('.swiper-nav .nav-slide  .swiper-slide-active').removeClass('.swiper-slide-active');
            $('.swiper-nav .swiper-slide').eq(clickIndex).addClass('swiper-slide-active');

            if (clickIndex==0) {clickIndex=3};
            if (clickIndex==8) {clickIndex=5};
            navSwiper.slideTo(clickIndex); 
            changepic(clickIndex);
        },
        //nav切换实现上述动作
        onSlideChangeStart: function(navSwiper){
            $('.swiper-nav').css("opacity","0.5");//nav切换时变换背景透明度
            if (!contentSwitch) {
                if(firstTime++ !=1 ){
                    navSwitch = true;
                    var currentIndex = navSwiper.activeIndex;
                    var temp = currentIndex%3;
                    if (!contentSwitch) {
                        contentSwiper.slideTo(temp); 
                    }
                    changepic(navSwiper.activeIndex);
                }
                                 
            };
            
        },

        onSlideChangeEnd: function(navSwiper){
            $('.swiper-nav').css("opacity","1");
            if (contentSwitch) {
                contentSwitch = false;
            }else{
                if(navSwiper.activeIndex == 0){
                    navSwiper.slideTo(6); 
                }
                if(navSwiper.activeIndex == 8){
                    navSwiper.slideTo(2); 
                }
            }
            
        }
    });
   
    //修改背景图片函数
    function changepic(Index){
        for(var i=0;i<=8;i++){//9=slides的个数
            var picnum = getpicnum(i);
            if(i == Index) {
                $(navSwiper.slides[Index]).find('.pic').get(0).src=urlPath+"18btn0"+picnum+".png";
            }else{
                $(navSwiper.slides[i]).find('.pic').get(0).src=urlPath+"18btn0"+picnum+"a.png";
            }
        }
    }

    function getpicnum(ac_index){
        if(ac_index % 3 ==0){
            picnum = 2;
        }else if(ac_index % 3==1){
            picnum = 3;
        }else{
            picnum = 4;
        }
        return picnum;
    }
});